#include "libc.c"

struct inode {
   short address;
   short size;
};

struct reloc {
   short offset;
   short value;
   struct inode * node;
};

int
main()
{
   struct reloc r;
   struct reloc * p;
   struct inode n;

   r.node = &n;

   p = &r;

   p->offset = 101;
   p->value = 111;

   printf("p->offset == %d\r\n", p->offset);
   printf("p->value == %d\r\n", p->value);

   p->node->address = 101;
   p->node->size = 200;

   printf("p->node->address == %d\r\n", p->node->address);
   printf("p->node->size == %d\r\n", p->node->size);

   return 0;
}
